Bug 959048 (CVE-2013-1983) - CVE-2013-1983 libXfixes: Integer overflow leading to heap-based buffer overflow
Summary: CVE-2013-1983 libXfixes: Integer overflow leading to heap-based buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1983
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 966694 1078024
Blocks: 959130 1101912
TreeView+ depends on / blocked
 
Reported: 2013-05-03 05:08 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-17 07:44 UTC (History)
5 users (show)

Fixed In Version: libXfixes 5.0.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-16 06:08:28 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1436 0 normal SHIPPED_LIVE Moderate: X11 client libraries security, bug fix, and enhancement update 2014-10-14 01:06:02 UTC

Description Huzaifa S. Sidhpurwala 2013-05-03 05:08:21 UTC
An integer overflow leading to a heap-based buffer overflow was found in the XFixesGetCursorImage() function of the libXfixes library, an X.Org X11 libXext runtime library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

Comment 1 Peter Hutterer 2013-05-06 01:40:23 UTC
Created attachment 743931 [details]
0039-Use-_XEatDataWords-to-avoid-overflow-of-_XEatData-ca.patch

Comment 2 Peter Hutterer 2013-05-06 01:41:19 UTC
Created attachment 743932 [details]
0040-integer-overflow-in-XFixesGetCursorImage.patch

Comment 5 Jan Lieskovsky 2013-05-23 15:29:12 UTC
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3

Comment 7 Jan Lieskovsky 2013-05-23 17:08:20 UTC
This issue affects the versions of the libXfixes package, as shipped with Fedora release of 17 and 18. Please schedule an update.

Comment 8 Jan Lieskovsky 2013-05-23 17:08:59 UTC
Created libXfixes tracking bugs for this issue

Affects: fedora-all [bug 966694]

Comment 9 Jan Lieskovsky 2013-05-23 17:09:29 UTC
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Comment 10 Fedora Update System 2013-05-27 03:30:21 UTC
libXfixes-5.0-6.20130524gitc480fe327.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Huzaifa S. Sidhpurwala 2013-06-05 03:31:30 UTC
This issue affects the version of libXfixes as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 12 Huzaifa S. Sidhpurwala 2013-06-05 03:45:55 UTC
Statement:

This issue affects the libXfixes package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 13 Fedora Update System 2013-06-06 01:31:14 UTC
libXfixes-5.0-6.20130524gitc480fe327.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2014-10-14 05:05:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html


Note You need to log in before you can comment on or make changes to this bug.